> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Direct Message Sent

> Trigger when a message is posted in Slack

## Subscribe

Send this request body to [Subscribe to a Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger) to start listening for this event on behalf of your user:

```http Subscribe Request theme={null}
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "slack",
  "type": "SLACK_TRIGGER_DIRECT_MESSAGE_POSTED",
  "parameters": {}
}
```

**Configuration options:**

This trigger does not require any configuration options.

## Example Payload

This is an example payload that Paragon sends to your configured webhook URL. Learn more about handling trigger payloads in [Receiving Webhooks](/actionkit/triggers/receiving-webhooks).

```json Example expandable theme={null}
{
  "ts": "1760013930.211109",
  "team": "mock-team-id",
  "text": "mock-text",
  "type": "message",
  "user": "mock-user-id",
  "blocks": [
    {
      "type": "rich_text",
      "block_id": "mock-block-id",
      "elements": [
        {
          "type": "rich_text_section",
          "elements": [
            {
              "text": "mock-text",
              "type": "text"
            }
          ]
        }
      ]
    }
  ],
  "channel": "mock-channel-id",
  "event_ts": "1760013930.211109",
  "channel_type": "im",
  "client_msg_id": "mock-client-msg-id",
  "event_context": "mock-event-context"
}
```
